Fedora Linux Support Community & Resources Center
  #1  
Old 8th November 2007, 08:44 PM
stefan1975 Offline
"Stefan the converted" -- forum Macintosh® Glee Club leader
 
Join Date: May 2007
Location: 127.0.0.1
Age: 39
Posts: 1,247
f8_x64: citrix ica client 10.6

Hi,

does anyone know if there is any way (preferably supported and without hacking my fedora) to get citrix ica client 10.6 installed in fedora 8? I need this for my work but it won't install because it needs (x86) openmotif 2.3 's libXm.so.3,

In Ubuntu i finally solved this by downloading the x86 openmotif.deb and extract its contents to /usr/lib32. Is there a similar solution for Fedora? I could not find openmotif in any of the repos (and No lesstif will not work).

thanks,
stefan
Reply With Quote
  #2  
Old 8th November 2007, 09:07 PM
tlagren Offline
Registered User
 
Join Date: Aug 2005
Location: Sundsvall, Sweden
Posts: 11
You can download an older openmotif rpm and install. Check this out: ftp://rpmfind.net/linux/fedora/core/...FC4.2.i386.rpm

With that rpm i solved the dependency problem for icaclient, but the client won't start in fedora8.
I got this message: Assertion `c->xlib.lock' failed.

Therefore i'm now using the Java client, first i also got the same xlib failure with Java but it could be fixed with the workaround specified here: https://bugzilla.redhat.com/show_bug.cgi?id=254144#c14

Edit:
The openmotif link pointed to the i396 package, here is the 64bit package: ftp://rpmfind.net/linux/fedora/core/...4.2.x86_64.rpm

/Tomas

Last edited by tlagren; 8th November 2007 at 09:10 PM.
Reply With Quote
  #3  
Old 8th November 2007, 09:26 PM
stefan1975 Offline
"Stefan the converted" -- forum Macintosh® Glee Club leader
 
Join Date: May 2007
Location: 127.0.0.1
Age: 39
Posts: 1,247
hi,

thanks for the reply. i will try to install openmotif manually, although i think it might not be a good idea to install a fedora core 4 package? I also think that because citrix is a i386 application that openmotif should also be the i386 version and not the x64 version, that is why on ubuntu i had to get the i386 .deb and extract it in /usr/lib32.

I hope there is a way to get it working, i think the java client is not really very good.

thanks so far.
stefan
Reply With Quote
  #4  
Old 9th November 2007, 04:56 PM
stefan1975 Offline
"Stefan the converted" -- forum Macintosh® Glee Club leader
 
Join Date: May 2007
Location: 127.0.0.1
Age: 39
Posts: 1,247
well,

i have been playing around with this a bit today and unfortunately i cannot seem to get it working right. That is really too bad and I hope someone knows a solution because not getting it to work would really be a showstopper for me.

thanks in advance anyone.
stefan
Reply With Quote
  #5  
Old 9th November 2007, 09:32 PM
stefan1975 Offline
"Stefan the converted" -- forum Macintosh® Glee Club leader
 
Join Date: May 2007
Location: 127.0.0.1
Age: 39
Posts: 1,247
i decided to go with the java client even though it is slow and just at 9.5 instead of 10.6, however for me it will not work with the icetea plugin in firefox. I can get java applets working at the Sun site but all citrix containers tell me "applet not initialized".

bummer. ideas anyone?
Reply With Quote
  #6  
Old 19th November 2007, 01:38 AM
lmann Offline
Registered User
 
Join Date: Jan 2007
Posts: 2
http://forums.fedoraforum.org/forum/...d.php?t=171763 has a solution for the Assertion `c->xlib.lock' failed issue.

"The problem is the replaced XLib in F8.
XLib in F8 is replaced by http://xcb.freedesktop.org/.

I tried using libxcb version 1.1 by "yum --enablerepo=development install libxcb.x86_64"

This got the 10.6 client working for me.

Now only if I could figure out why some applications work and others don't.
Reply With Quote
  #7  
Old 26th November 2007, 12:15 PM
stefan1975 Offline
"Stefan the converted" -- forum Macintosh® Glee Club leader
 
Join Date: May 2007
Location: 127.0.0.1
Age: 39
Posts: 1,247
Hi,

i finally solved it by installing a F8 i386 version of openmotif on my F8_x64 system, then installed ICA 10.6-1 and for now it seems to be working fine. It hasn't crashed ..... yet and I can connect to our citrix servers.

the package i found here:

http://download.tuxfamily.org/rpm/dr...pixel.i386.rpm

this solved it for me, the FC5 package did not work for me at all.

stefan
Reply With Quote
Reply

Tags
106, citrix, client, f8x64, ica

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
need help with citrix ica client dimwitflathead Using Fedora 7 26th February 2010 07:18 PM
F11 & Citrix ICA Client broma345 Alpha, Beta & Snapshots Discussions (Fedora 11 Only) 3 13th May 2009 01:06 AM
Citrix client kierun Alpha, Beta & Snapshots Discussions (Fedora 10 Only) 1 27th October 2008 11:35 AM
How To get Citrix ICA Client to work lovingfamily511 Guides & Solutions (No Questions) 2 19th July 2007 08:43 PM


Current GMT-time: 21:29 (Tuesday, 21-10-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat
Rembangan - Eisenach Instagram Photos - Merrillville